org.apache.jmeter.util

## Class PropertiesBasedPrefixResolver

- java.lang.Object
- - org.apache.xml.utils.PrefixResolverDefault
  - - org.apache.jmeter.util.PropertiesBasedPrefixResolver

- All Implemented Interfaces:
    org.apache.xml.utils.PrefixResolver

      public class PropertiesBasedPrefixResolver
      extends org.apache.xml.utils.PrefixResolverDefault

  `PrefixResolver` implementation that loads prefix configuration from jmeter property xpath.namespace.config

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertiesBasedPrefixResolver(org.w3c.dom.Node xpathExpressionContext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getNamespaceForPrefix(java.lang.String prefix, org.w3c.dom.Node namespaceContext)` Searches prefix in NAMESPACE_MAP, if it fails to find it defaults to parent implementation

    - ### Methods inherited from class org.apache.xml.utils.PrefixResolverDefault

      `getBaseIdentifier, getNamespaceForPrefix, handlesNullPrefixes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertiesBasedPrefixResolver

          public PropertiesBasedPrefixResolver(org.w3c.dom.Node xpathExpressionContext)

      Parameters:
        `xpathExpressionContext` - Node

  - ### Method Detail

    - #### getNamespaceForPrefix

          public java.lang.String getNamespaceForPrefix(java.lang.String prefix,
                                                        org.w3c.dom.Node namespaceContext)

      Searches prefix in NAMESPACE_MAP, if it fails to find it defaults to parent implementation
      Specified by:
        `getNamespaceForPrefix` in interface `org.apache.xml.utils.PrefixResolver`
      Overrides:
        `getNamespaceForPrefix` in class `org.apache.xml.utils.PrefixResolverDefault`
      Parameters:
        `prefix` - Prefix
        `namespaceContext` - Node

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.